(function ($) {

	$.ModalTrigger = function () {
		this.scope 			= $(document);
		this.use_sistrix 	= ((typeof(dpc_basic_statistics_settings) == 'undefined' || typeof(dpc_basic_statistics_settings['sistrix_api_key']) == 'undefined' || !dpc_basic_statistics_settings['sistrix_api_key'].length) ? false : true);
		this.popover_html	= '<div id="dpc_post_seo_popover">'+
								'<div class="dpc-seo-popover-content">'+
									'<span class="dpc-seo-popover-loader"><img id="dpc_seo_popover_loader_img" src="' + dpc_plugin_url + '/assets/img/loader.gif"/></span>'+
								'</div>'+
								'<div class="dpc-seo-popover-footer">'+
									(this.use_sistrix ? '<a id="dpc-seo-popover-sistrix-button" class="dpc-modal-footer-button button button-secondary button-large" target="_blank" href="#"> <i class="fa fa-check"></i> '+dpc_seo_status_text['sistrix_analysis_link_label']+'</a>' : '') +
									(this.use_sistrix ? '<a id="dpc-seo-popover-sistrix-sync-post-button" class="dpc-modal-footer-button button button-secondary button-large" target="_blank" href="#"> <i class="fa fa-refresh"></i> '+dpc_seo_status_text['sistrix_sync_post_link_label']+'</a>' : '') +
									'<a id="dpc-seo-popover-validate-microdata" target="_blank" class="dpc-modal-footer-button button button-secondary button-large" href="https://search.google.com/test/rich-results/result?url="><i class="fa fa-check"></i> '+dpc_seo_status_text['validate_microdata']+'</a>' +
									'<a id="dpc-seo-popover-facebook-debugger" target="_blank" class="dpc-modal-footer-button button button-secondary button-large" href="https://developers.facebook.com/tools/debug/?q="><i class="fa fa-check"></i> '+dpc_seo_status_text['facebook_debugger']+'</a>' +
									'<a id="dpc-seo-popover-linkedin-debugger" target="_blank" class="dpc-modal-footer-button button button-secondary button-large" href="hhttps://www.linkedin.com/post-inspector/inspect/"><i class="fa fa-check"></i> '+dpc_seo_status_text['linkedin_debugger']+'</a>' +

									// '<a id="dpc-seo-popover-content-ai" class="dpc-modal-footer-button button btn-ai button-large float-left" href="#">  '+dpc_seo_status_text['ai']+'</a>' +
									'<span id="dpc-seo-popover-content-input-ai" class="dpc-modal-footer-input input-ai float-left"><span class="input-and-send-icon"><input id="openAIQueryPrompt" name='+dpc_seo_status_text['input_ai']+'/><span id="sendIcon" class="send-icon"><svg xmlns="http://www.w3.org/2000/svg" fill="#80a99c" width="25" height="25" viewBox="0 0 512 512"><title>ionicons-v5-q</title><path d="M16,464,496,256,16,48V208l320,48L16,304Z"/></svg></span></span><span class="chat-interactions-area"><span id="chatInteractions" class="chat-interactions"><span class="chat-label">Chat</span><span id="chatResponse"></span></span></span></span>' +
									// '<a id="dpc-seo-popover-content-keywords" class="dpc-modal-footer-button button btn-outline-ai button-large float-left" href="#">  '+dpc_seo_status_text['keywords']+'</a>' +
									// '<a id="dpc-seo-popover-content-title" class="dpc-modal-footer-button button btn-outline-ai button-large float-left" href="#">  '+dpc_seo_status_text['title']+'</a>' +
									// '<a id="dpc-seo-popover-content-description" class="dpc-modal-footer-button button btn-outline-ai button-large float-left" href="#">  '+dpc_seo_status_text['description']+'</a>' +
									// '<a id="dpc-seo-popover-content-competitors" class="dpc-modal-footer-button button btn-outline-ai button-large float-left" href="#">  '+dpc_seo_status_text['competitors']+'</a>' +
									// '<a id="dpc-seo-popover-content-optimization" class="dpc-modal-footer-button button btn-outline-ai button-large float-left" href="#">  '+dpc_seo_status_text['optimization']+'</a>' + 
									//'<a id="dpc-seo-popover-content-___" class="dpc-modal-footer-button button btn-outline-ai button-large float-left" href="#">  '+dpc_seo_status_text['...']+'</a>' +
									'<a id="dpc-seo-popover-content-questions" target="_blank" class="dpc-modal-footer-button button button-secondary button-large" href="https://answerthepublic.com/"> <i class="fa fa-external-link-square"></i>  '+dpc_seo_status_text['content_questions']+'</a>' +
									'<a id="dpc-seo-popover-duplicate-content" target="_blank" class="dpc-modal-footer-button button button-secondary button-large" href="http://www.siteliner.com/"> <i class="fa fa-external-link-square"></i>  '+dpc_seo_status_text['duplicate_content']+'</a>' +
									'<a id="dpc-seo-popover-ai-content-detector" target="_blank" class="dpc-modal-footer-button button button-secondary button-large" href="https://copyleaks.com/ai-content-detector"> <i class="fa fa-external-link-square"></i>  '+dpc_seo_status_text['ai_content_detector']+'</a>' +

									'<a id="dpc-seo-popover-check-in-google-button" class="dpc-modal-footer-button button button-secondary button-large" target="_blank" href="#"> <i class="fa fa-check"></i> '+dpc_seo_status_text['check_in_google_link_label']+'</a>'+
									'<a id="dpc-seo-popover-content-___" class="dpc-modal-footer-button button button-secondary sbtn-outline-ai button-large" href="#">  <i class="fa fa-magic"></i>  '+dpc_seo_status_text['chatbot']+'</a>' +
									'<a id="dpc-seo-popover-close-button" class="button button-secondary button-large">'+dpc_seo_status_text['close']+'</a>'+
									'<a id="dpc-seo-popover-save-button" class="button button-primary button-large">'+dpc_seo_status_text['save']+'</a>'+
								'</div>'+
								'<div class="dpc-popover-resizer-wrapper ui-resizable-handle ui-resizable-s"><div id="dpc_popover_resizer"><span class="fa fa-arrows-v""></span></div></div>'+
							'</div>';
		this.init();
	};

	$.ModalTrigger.prototype = {
		init: function () {
			var mt = this;
						
			if(!document.body.classList.contains('dpc-post-seo-popover-appended') && !document.body.classList.contains('wp-customizer')) {
				mt.append_modal();
			}
							
			mt.init_modal();						
		},
		
		append_modal: function(){		
			var mt = this;
				
			$('body').prepend(mt.popover_html);
			
			$('body').addClass('dpc-post-seo-popover-appended');
	
				$( "#dpc_post_seo_popover" ).resizable({
					start: function( event, ui ) {
						$('#dpc_post_seo_popover').addClass('dpc-no-animation');
					},
					stop: function( event, ui ) {
						$('#dpc_post_seo_popover').removeClass('dpc-no-animation');
					},
					containment: "#wpwrap",
			   	 	minHeight: 450,
			    		handles: { 's': '.dpc-popover-resizer-wrapper'}
			    });
		},
		
		init_modal: function(){
			var mt = this;
			
			
			$('#wp-admin-bar-delucks-seo > a, .dpcModalTriggerButton,.dpcModalTrigger > a.ab-item, a#DPC_GUTENBERG_LINK').on('click', function(ev){
				ev.preventDefault();
			
				var url = $(this).attr('href');
				var showFirstTab = false;
					
				if($(this).is($('#wp-admin-bar-delucks-seo > a'))){
					showFirstTab = true;
				}
				
				mt.load_modal(url, showFirstTab);
			});
			
			$(document).on('click', '.elementor-tab-control-delucks-seo-tab > a' , function (ev) {
				ev.preventDefault();
				mt.load_modal(dpc_modal_trigger_link, true);
			});
		},
		
		
		
		load_modal: function(url, showFirstTab = true){
			$('#dpc_post_seo_popover').removeClass('active dpc-no-animation');
			$('#dpc_post_seo_popover > .dpc-seo-popover-content').removeClass('content-appended').html('<span class="dpc-seo-popover-loader"><img id="dpc_seo_popover_loader_img" src=""/></span>');

			$('#dpc_post_seo_popover').addClass('active');
			$('body').addClass('dpc-popover-active');
			
			document.getElementById('dpc_seo_popover_loader_img').src = dpc_plugin_url + '/assets/img/loader.gif';
						
			$.ajax({
				url: url,
				data: {ts: Date.now()},
				cache: false,
	  			dataType: 'html',
	  			success: function(res, state, responseObject){
					$('#dpc_post_seo_popover > .dpc-seo-popover-content').html(res).addClass('content-appended');
					$('#dpc_post_seo_popover').attr('data-loadurl',url);

					if(showFirstTab){
						$('#dpc_post_seo_popover .dpc-modal-tabs > .dpc-modal-tab').first().addClass('active');
						$('#dpc_post_seo_popover .dpc-modal-contents > .dpc-modal-content').first().addClass('active');
					}

					setTimeout(function(){
						var initActiveTab = $('form[name="dpc_modal_data"] .dpc-modal-tabs .dpc-modal-tab.dpc-modal-tab-trigger.active').attr('id');
						if(typeof(initActiveTab) !== 'undefined'){
							if(typeof(window.modalOnTabEnterCallbacks[initActiveTab]) !== 'undefined'){
								$.each(window.modalOnTabEnterCallbacks[initActiveTab], function(k, callback){
									callback();
								});
							}
						}
					},100);
	  			}
			});
		}
		
		
	};

})(jQuery);

jQuery(document).ready( function ($) {
	
	$.modaltrigger = new $.ModalTrigger();
	
	$(document).on('elementor/init', function ($) {
	
		$.modaltrigger_elementor = new $.ModalTrigger();
		
	});
	
});

// window.addEventListener( 'elementor/init', () => {
	// $.modaltrigger = new $.ModalTrigger();
// });
