jQuery(document).ready(function($){
	"use strict";

	window.dpcSistrixRankQueueProceedNext = function(){
		if(typeof(dpc_basic_statistics_sistrix_queue) == 'undefined' || dpc_basic_statistics_sistrix_queue.length == 0){
			return false;
		}

		window.dpcBlockProceeding = true;

		$.ajax({
			url: 'admin-ajax.php?action=dpc_basic_statistics_sistrix_sync',
			dataType: 'json',
			success: function(response){
				var dpc_basic_statistics_sistrix_queue = response.queue;

				if(typeof(response.queue) !== 'undefined'){
					var modal = $('input[name="dpc_current_id"][value="'+response.data.post_id+'"]').parents('form[name="dpc_modal_data"]');
					var keywordElement = $('.keyword-list-wrapper .keyword-list-item[data-keyword="'+ response.data.keyword +'"]', modal);
					$('.ranking_count', keywordElement).text(response.data.current_rank);
					$('.ranking_trend', keywordElement).removeClass('equal up down').addClass(response.data.trend).html('<i class="dashicons '+response.data.icon+'" />');
					$('.dpc-ranking', keywordElement).removeClass('loading');
				}

				window.dpcBlockProceeding = false;
				dpcSistrixRankQueueProceedNext();
			}
		});
	}

	dpcSistrixRankQueueProceedNext();
});