function getParameterByName(name, url = window.location.href) {
    name = name.replace(/[\[\]]/g, '\\$&');
    var regex = new RegExp('[?&]' + name + '(=([^&#]*)|&|#|$)'),
        results = regex.exec(url);
    if (!results) return null;
    if (!results[2]) return '';
    return decodeURIComponent(results[2].replace(/\+/g, ' '));
}

var index = window.location.href.indexOf('?')
if(index != -1){
	var querystring = '';
    var appendParams = new Array('utm_campaign', 'utm_medium', 'utm_source');

    appendParams.forEach(function(queryParameter){
    	if(typeof(getParameterByName(queryParameter)) == 'string'){
        	querystring += queryParameter + '=' + getParameterByName(queryParameter) + '&';
    	}
    });

    querystring = querystring.slice(0, -1);

    if(querystring !=  ''){
        var tagA = document.getElementsByTagName('a');

        for(var i = 0; i < tagA.length; i++){
            var href = tagA[i].getAttribute('href');

            href += (href.indexOf('?') != -1)? '&' : '?';
            href += querystring;

            tagA[i].setAttribute('href', href);
        }
    }
}

var utm_campaign 	= getParameterByName('utm_campaign');
var utm_medium 		= getParameterByName('utm_medium');
var utm_source 		= getParameterByName('utm_source');

if(utm_source !== null && utm_source.length){ $('form input[type="hidden"][name="uTMSource1"]').val(utm_source); }
if(utm_medium !== null && utm_medium.length){ $('form input[type="hidden"][name="uTMMedium1"]').val(utm_medium); }
if(utm_campaign !== null && utm_campaign.length){ $('form input[type="hidden"][name="uTMCampaign1"]').val(utm_campaign); }
