<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
?>

<tr id="post-<?php echo esc_attr($post->ID); ?>" class="single-joboffer">
	<td class="joboffer-date"><?php echo (isset($settings['hiring_date']) ? esc_html(gmdate('d.m.Y', $settings['hiring_date'])) : ''); ?></td>
	<td class="joboffer-title"><?php echo '<h3 class="entry-title"><a href="' . esc_url( get_permalink($post) ) . '" rel="bookmark">'. esc_html($post->post_title) . '</a></h3>'; ?></td>
	<td class="joboffer-location"><?php echo esc_html($location_list); ?></td>
	<td class="joboffer-section"><?php echo esc_html($section_list); ?></td>
	<?php
		if( isset($this->settings['jobOverviewHiringDate']) && $this->settings['jobOverviewHiringDate'] === 'on' ){
			echo '<td class="joboffer-hiring-date"> ' . (isset($settings['hiring_date']) ? esc_html(gmdate('d.m.Y', $settings['hiring_date'])) : '') . '</td>';
		}

		if( isset($this->settings['jobOverviewDeadlineDate']) && $this->settings['jobOverviewDeadlineDate'] === 'on' ){
			echo '<td class="joboffer-deadline"> ' . (isset($settings['deadline']) ? esc_html(gmdate('d.m.Y', $settings['deadline'])) : '') . '</td>';
		}
	?>
	
	<td class="joboffer-workinghours"><?php echo (isset($settings['working_time']) ? esc_html($settings['working_time']) : ''); ?></td>
</tr>
