<?php

if(isset($dpc) && is_object($dpc) && $dpc->moduleIsActive('professional_rating')){

    function delucks_comments_block() {

        if(!function_exists('register_block_type')){
            return;
        }

        wp_enqueue_script('jquery');

        // Scripts.
        wp_register_script(
            'delucks-comments-block-script',
            plugin_dir_url( __FILE__ ) . 'block-comments/block.js',
            array( 'wp-blocks', 'wp-element', 'wp-components', 'wp-i18n' )
            );
        wp_register_script(
            'delucks-comments-frontend-script',
            plugin_dir_url( __FILE__ ) . 'block-comments/functions.js'
            );
        // Styles.
        wp_register_style(
            'delucks-comments-block-editor-style',
            plugin_dir_url( __FILE__ ) . 'block-comments/editor.css',
            array( 'wp-edit-blocks' )
            );
        wp_register_style(
            'delucks-comments-block-frontend-style',
            plugin_dir_url( __FILE__ ) . 'block-comments/style.css'
            );

        if(function_exists('register_block_type')){
            register_block_type( 'delucks-gutenberg/comments', array(
                'editor_script' => 'delucks-comments-block-script',
                'editor_style' 	=> 'delucks-comments-block-editor-style',
                'style' 		=> 'delucks-comments-block-frontend-style',
                'script' 		=> 'delucks-comments-frontend-script',
            ));
        }
    }
    add_action( 'init', 'delucks_comments_block' );

}

?>