function applyJs(){
	"use strict";

	function reIndexExtendable(){
		if(!jQuery('.dpc-draft').nextAll('.extendable').length){ return; }
		jQuery('.dpc-draft').each(function(){
			jQuery(this).nextAll('.extendable').each(function(k, extendableArea){
				jQuery('[name]', extendableArea).each(function(){
					jQuery(this).attr('name', jQuery(this).attr('name').replace(/[(\d)]/, k));
				});
			});
		});
	}

	var $document = jQuery(document),
	    $element = jQuery('#wpbody #nav'),
	    className = 'mobile-scrolled';

	$document.on('scroll', function(){
		if($document.scrollTop() >= 32){
	    	$element.addClass(className);
	  	}else{
	    	$element.removeClass(className);
	  	}
	});

	/**
	 * Default settings opt-in
	 */
	if(jQuery('.install-defaults').length > 0){
		jQuery('.install-defaults').bind('click', function(ev){
			ev.preventDefault();
			var $this = jQuery(this);

			jQuery('body').append('<div class="modal fade" id="dpcDefaultsOptin" tabindex="-1" role="dialog" aria-hidden="true" data-keyboard="false" data-backdrop="static"><div class="modal-dialog"><div class="modal-content">'
								+'<div class="modal-header"><button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">'+dpc_main_translator['cancel']+'</span></button>'
								+'<h4 class="modal-title" id="myModalLabel">'+dpc_main_translator['are_you_sure']+'?</h4></div><div class="modal-body" id="modal-body"><p>'+dpc_main_translator['install_defaults_modal_content']+'.</p></div>'
								+'<div class="modal-footer"><button type="button" class="btn btn-danger" data-dismiss="modal">'+dpc_main_translator['cancel']+'</button>	<button type="submit" class="btn btn-success" id="modalSubmit" value="'+$this.val()+'" name="'+$this.attr('name')+'">'+dpc_main_translator['install_defaults']+'</button></div></div></div></div>');
			jQuery('#dpcDefaultsOptin').modal({ show:true });

			var postdata = {};
				postdata['dpc']																= {};
				postdata['dpc']['save_nonce'] 												= dpc_vars.save_nonce;
				postdata['dpc']['install_defaults'] 										= {};
				postdata['dpc']['install_defaults'][$this.data('module')] 					= $this.val();
				postdata['dpc'][$this.data('module')]										= {};
				postdata['dpc'][$this.data('module')]['dpc_status_' + $this.data('module')] = ($this.data('module_status') ? $this.data('module_status') : '');

			jQuery('#modalSubmit').bind('click', function(ev){
				jQuery.ajax({
					type: 'POST',
					url: '?',
					data: postdata,
					success: function(response){
						window.location = window.location.href;
						window.location.reload();
					}
				});
			});
		});
	}

	/**
	 * Image file input
	 */
	if(jQuery('.dpc-fileinput').length > 0){

		if(jQuery('.dpc-fileinput').hasClass('has-alt-input')){
			var wrapper 	= jQuery('.dpc-fileinput.has-alt-input'),
				holder		= jQuery(wrapper).find('img.dpc-file-holder'),
				input 		= jQuery('input#' + jQuery(wrapper).attr('data-input-id'));

			jQuery(holder).attr('src', jQuery(input).val());
		}

		jQuery('.dpc-fileinput').each(function(){
			if(jQuery(this).children().find('.dpc-fileinput-input').val()){
				jQuery(this).removeClass('fileinput-new');
			}
		});

		jQuery('.dpc-file-upload-button').on('click', function( event ){
			event.preventDefault();
			startMediaBrowser(jQuery(this));
		});
		jQuery('.upload-dpc-file').on('click', function( event ){
			event.preventDefault();
			startMediaBrowser(jQuery(this));
		});
		jQuery('.remove-dpc-file').on('click', function( event ){
			event.preventDefault();
			var name 	= jQuery(this).data('name'),
				wrapper = jQuery(this).parents().closest('.dpc-fileinput'),
				holder	= jQuery(wrapper).find('img.dpc-file-holder');
				input 	= (jQuery(wrapper).hasClass('has-alt-input') ? jQuery('input#' + jQuery(wrapper).attr('data-input-id')) : jQuery('.dpc-media-uploader > input#'+name));

			jQuery(input).val('');
         	jQuery(holder).attr('src', '');
         	jQuery(wrapper).addClass('fileinput-new');
		});

		function startMediaBrowser(data){
			var name 	= jQuery(data).data('name'),
				wrapper = jQuery(data).parents().closest('.dpc-fileinput'),
				holder	= jQuery(wrapper).find('img.dpc-file-holder'),
				input 	= (jQuery(wrapper).hasClass('has-alt-input') ? jQuery('#' + jQuery(wrapper).attr('data-input-id')) : jQuery('.dpc-media-uploader > input#'+name));

			jQuery(input).val('');

	      	//If the frame already exists, reopen it
			if (typeof(custom_file_frame)!=="undefined") {
		      	custom_file_frame.close();
			}

	      	var custom_file_frame = wp.media.frames.customHeader = wp.media({
	         	title: 		jQuery(data).data('frame-title'),
	        	library: 	{ type: 'image' },
	         	button: 	{ text: dpc_seo_status_text.save },
				multiple: 	false
			});

	      	//callback for selected image
			custom_file_frame.on('select', function() {
				var attachment = custom_file_frame.state().get('selection').first().toJSON();

				jQuery(input).val(attachment.url);
	         	jQuery(holder).attr('src', attachment.url).show();
	         	jQuery(wrapper).removeClass('fileinput-new');
			});

			custom_file_frame.open();
		}
	}

	/*
	 * Nav
	 */
	jQuery("#nav > .container > .navbar-collapse > ul > li > a.menu-anchor, a.btn-upgrade-demo").on('click', function() {
		var scrollTo = jQuery(this).data('scroll');
	    jQuery('html, body').animate({
	        scrollTop: jQuery('#wpbody-content').find('#'+scrollTo).offset().top - 98
	    }, 1000);
	    return false;
	});

	jQuery('.dpc-draft').parents('form').find('input[type="submit"]').on('click', function(e){ //reindex for edit page
		reIndexExtendable();
		jQuery('.dpc-draft').remove();
		jQuery(this).parents('form').trigger('click');
	});

	jQuery('.dpc-submit').on('click', function(e){
		e.preventDefault();
		reIndexExtendable();
		jQuery('.dpc-draft').remove();
		jQuery(this).parents('form').submit();
	});

	jQuery('.dpc-extendable-add').on('click', function(e){
		e.preventDefault();
		var draft = jQuery(jQuery(this).data('container'));
		jQuery(this).before(jQuery(draft).clone().removeClass('dpc-draft'));

		if(jQuery(this).prevAll().find('.timepicker').length){
			jQuery('.timepicker input', jQuery(this).prev()).timepicker({
				template: "dropdown",
				minuteStep: 5,
				showInputs: false,
				disableFocus: true
			});
		}
		if(jQuery(this).prevAll().find('.dpc-has-datepicker').length){
			jQuery(".dpc-datepicker").datepicker({
				startDate: "-1d",
				format: "dd/mm/yyyy",
				language: "de"
			});
		}

		if(jQuery(this).prevAll().find('select').length){
			jQuery('select', jQuery(this).prev()).next().remove();
			jQuery('select', jQuery(this).prev()).multiselect();
		}
	});

	jQuery('body').on('click', '.dpc-extendable-remove', function(e){
		e.preventDefault();
		jQuery(this).parent().fadeOut(function(){
			jQuery(this).remove();
		});
	});


	/* element dependencies */
	jQuery('.hideControls').each(function(){
		var controlArea 	= jQuery(this);
		var triggerValue	= jQuery(this).data('display-value');

		if(jQuery('[name="'+jQuery(this).data('display-element')+'"]').length){
			var triggerElement 	= jQuery('[name="'+jQuery(this).data('display-element')+'"]');
		} else if(jQuery('[name="'+jQuery(this).data('display-element')+'[]"]').length) {
			var triggerElement 	= jQuery('[name="'+jQuery(this).data('display-element')+'[]"]');
		} else {
			console.log('nothing found to trigger on element:'+ jQuery(this).data('display-element'));
			return;
		}

		if(typeof(jQuery(this).data('display-value')) !== 'undefined'){
			triggerElement.on('change', function(){
				if(jQuery.inArray(triggerValue, jQuery(this).val())  !== -1 || jQuery(this).val() == triggerValue){ controlArea.show().css('display', 'inline-block'); } else { controlArea.hide(); }
			}).trigger('change');

			if(jQuery('[name="'+jQuery(this).data('display-element')+'"]').attr('type') == 'checkbox'){
				if(jQuery('[name="'+jQuery(this).data('display-element')+'"]').prop('checked')){
					if(triggerValue == ''){
						controlArea.show().css('display', 'none').removeClass('visible');
					} else {
						controlArea.show().css('display', (jQuery(controlArea).data('display-type').length ? jQuery(controlArea).data('display-type') : 'inline-block')).addClass('visible');
					}
				} else {
					if(triggerValue == ''){
						controlArea.show().css('display', (jQuery(controlArea).data('display-type').length ? jQuery(controlArea).data('display-type') : 'inline-block')).addClass('visible');
					} else {
						controlArea.show().css('display', 'none').removeClass('visible');
					}
				}

				jQuery('[name="'+jQuery(this).data('display-element')+'"]').on('ifChanged', function(event){
					jQuery(this).on('ifChecked', function(event){
						if(triggerValue == ''){
							controlArea.show().css('display', 'none').removeClass('visible');
						} else {
							controlArea.show().css('display', (jQuery(controlArea).data('display-type').length ? jQuery(controlArea).data('display-type') : 'inline-block')).addClass('visible');
						}
					});
					jQuery(this).on('ifUnchecked', function(event){
						if(triggerValue == ''){
							controlArea.show().css('display', (jQuery(controlArea).data('display-type').length ? jQuery(controlArea).data('display-type') : 'inline-block')).addClass('visible');
						} else {
							controlArea.show().css('display', 'none').removeClass('visible');
						}
					});
				}).trigger('ifChanged');
			}
		}else if(typeof(jQuery(this).data('display-searchvalue')) !== 'undefined'){
			var triggerValue = jQuery(this).data('display-searchvalue');
			jQuery(triggerElement).on('keyup paste', function(e){
				if(triggerElement.val().toLowerCase().search(triggerValue.toLowerCase()) == '-1'){
					controlArea.show().css('display', 'none').removeClass('visible');
				} else {
					controlArea.show().css('display', (jQuery(controlArea).data('display-type').length ? jQuery(controlArea).data('display-type') : 'inline-block')).addClass('visible');
				}
			});
			//on init
			if(triggerElement.val().search(triggerValue) == '-1'){
				controlArea.show().css('display', 'none').removeClass('visible');
			} else {
				controlArea.show().css('display', (jQuery(controlArea).data('display-type').length ? jQuery(controlArea).data('display-type') : 'inline-block')).addClass('visible');
			}
		}
	});

	/**
	 * Module config toggle
	 */
	jQuery(".row.status").each(function(){
		var toggleButton 	= jQuery('.toggle-section', this),
			section			= jQuery(this).parent();

		jQuery(this).nextAll().wrapAll('<div class="dpc-config-wrap" />');
		if(jQuery(this).data('status') === 'inactive'){
			jQuery('.dpc-config-wrap', jQuery(this).parents('.dpc-section')).hide();
		}
		toggleButton.on('click', function(){
			if(jQuery(this).hasClass('toggle-hide')){
				jQuery('.dpc-config-wrap', jQuery(this).parents('.dpc-section')).hide(function(){
					toggleButton.removeClass('toggle-hide').addClass('toggle-show');
				});
			} else {
				jQuery('.dpc-config-wrap', jQuery(this).parents('.dpc-section')).show(function(){
					toggleButton.removeClass('toggle-show').addClass('toggle-hide');
				});
			}
		});
	});

	/**
	 * Toggle button show/hide section
	 */
	jQuery('.toggle-button').on('click', function(){
		var toggleBtn	= jQuery(this).attr('data-toggle'),
			row 		= jQuery('#wpbody-content').find('.'+toggleBtn).closest('.row'),
			section 	= jQuery(this).parents().closest('.toggle-row');

		if(typeof(jQuery(this).attr('data-selector')) == 'string'){
			row = jQuery(jQuery(this).attr('data-selector'));
		}

		if(row.css('display') == 'none'){
			jQuery(section).addClass('active-row');
			jQuery(this).children('#toggle-icon').removeClass('fa-plus').addClass('fa-minus');
			jQuery(row).toggle('show').addClass('toggle-active-row');
		}else{
			jQuery(section).removeClass('active-row');
			jQuery(this).children('#toggle-icon').removeClass('fa-minus').addClass('fa-plus');
			jQuery(row).toggle('hide').removeClass('toggle-active-row');;
		}
	})
	jQuery('.toggle-button-col').on('click', function(){
		var toggle		= jQuery(this).attr('data-toggle'),
			toggleCol	= jQuery('#wpbody-content').find('#'+toggle);
		if(toggleCol.css('display') == 'none'){
			jQuery(toggleCol).addClass('active-col');
			jQuery(this).parents().closest('.toggle-head').addClass('active');
			jQuery(this).children('#toggle-icon').removeClass('fa-plus').addClass('fa-minus');
			jQuery(toggleCol).toggle('show');
		}else{
			jQuery(toggleCol).removeClass('active-col');
			jQuery(this).parents().closest('.toggle-head').removeClass('active');
			jQuery(this).children('#toggle-icon').removeClass('fa-minus').addClass('fa-plus');
			jQuery(toggleCol).toggle('hide');
		}
	});


	/**
	 *  TABS
	*/
	if(typeof(jQuery.tab) == 'function'){
		jQuery('.dpc-tabs').each(function(){
			jQuery('a', this).on('click', function (e) {
				e.preventDefault();
				jQuery(this).tab("show");
			});
		});
		jQuery(".dpc-tabs a:first").tab("show");
	}

	jQuery('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
		var wrapper = jQuery(".dpc-tabs-wrapper");

		if(wrapper.length){
			var tab			= jQuery(this).parent();
			var isLast		= (tab.is(':last-child') ? true : false);
			var isFirst		= (tab.is(':first-child') ? true : false);
			var nextButton	= jQuery(this).parents('.dpc-tabs-wrapper').find('.tab-navigation .tabs-next');
			var backButton	= jQuery(this).parents('.dpc-tabs-wrapper').find('.tab-navigation .tabs-back');

			if(isFirst){
				backButton.hide();
			} else {
				backButton.show();
			}

			if(isLast){
				if(typeof(nextButton.attr('data-textlast')) == 'undefined'){
					nextButton.hide();
				} else {
					nextButton.text(nextButton.attr('data-textlast'));
					setTimeout(function(){
						nextButton.addClass(nextButton.attr('data-lastclass'));
					}, 10);
				}
			} else {
				if(typeof(nextButton.attr('data-textlast')) == 'undefined'){
					nextButton.show();
				} else {
					nextButton.text(nextButton.attr('data-textnext'));
					nextButton.removeClass(nextButton.attr('data-lastclass'));
				}
			}
		}
	});

	jQuery(".dpc-tabs-wrapper .tab-navigation .tabs-next").on('click', function() {
		var active = jQuery(this).parents('.dpc-tabs-wrapper').find('.nav-tabs .active');
		jQuery(active.parent().next().find('a')).tab("show");
	});

	jQuery(".dpc-tabs-wrapper .tab-navigation .tabs-back").on('click', function() {
		var active = jQuery(this).parents('.dpc-tabs-wrapper').find('.nav-tabs .active');
		jQuery(active.parent().prev().find('a')).tab("show");
	});


	/**
	 *Tooltip
	 */
	if(typeof(jQuery('.tooltip-toggle').tooltip) == 'function'){
		jQuery('.tooltip-toggle').tooltip()
	}

	/**
	 * Sortable sections
	 */
	if(typeof(jQuery('.tosort').sortable) == 'function'){
		jQuery('.tosort').each(function(){
			jQuery(this).sortable({
		  		items: '.sortable',
		  		handle: '.input-group-addon'
			});
		});
		jQuery('.tosort-row').sortable({
			items: '.toggle-row',
		});
	}


	/**
	 *
	 * Colorpicker
	 */
	if(jQuery('.color-picker').length > 0){
		jQuery(".color-picker > input").colorpicker().on('changeColor', function(ev){
			jQuery(this).parents().closest('.color-picker').find('.input-group-addon > i').css('color',ev.color.toHex());
		}).on('create', function(ev){
			jQuery(this).parents().closest('.color-picker').find('.input-group-addon > i').css('color',jQuery(this).val());
		});
	}

	/**
	 * Datepicker
	 */

	if(typeof(jQuery.datepicker) == 'function'){
		if(jQuery(".dpc-datepicker").length){
			jQuery(".dpc-datepicker").datepicker({
				startDate: "-1d",
				format: "dd/mm/yyyy",
				language: "de"
			});
		}
	}

	var keys     = [];
    var konami  = '38,38,40,40,37,39,37,39';

    jQuery(document).keydown(function(e) {
    	keys.push( e.keyCode );
		if ( keys.toString().indexOf( konami ) >= 0 ){
			jQuery('#wpbody').jGravity({target: '.dpc-section',
                   ignoreClass: 'ignoreMe',
                   weight: 25,
                   depth: 5,
                   drag: true});
			keys = [];
		}
	});
}

jQuery(document).ready(function($){
	"use strict";
	applyJs();

	jQuery('.dpc_remove_message').on('click', function(){
		var hash = jQuery(this).attr('data-hash');
		jQuery(this).parents('.alert').fadeOut();

		jQuery.ajax({
			url: ajaxurl,
			data: {
				action: 'dpc_remove_admin_message',
				'hash': hash
			},
			dataType: 'json',
			success: function(response){ }
		});
	});

	jQuery('.dpc-section .toggle-section').on('click', function(e){
		var dataModule = jQuery(this).data('module');
		var dataStatus = jQuery(this).hasClass('toggle-hide') ? 0 : 1;
		jQuery.ajax({
			type: 'POST',
			url: 'admin-ajax.php',
			async: true,
			data: {action: 'dpc_save_toggle_state', save_nonce: dpc_vars.save_nonce, module: dataModule, status: dataStatus}
		});
	});

	/**
	 * Taglist
	 */
	if(document.getElementsByClassName('preselection')){
		$('.preselection > .single-preselection').bind('click', function(ev){
			ev.preventDefault();

			var $this	= $(this),
				$target = $('input[name^="'+$this.attr('data-target')+'"]'),
				value	= $this.attr('data-value');

			if(!$this.hasClass('disabled')){
				$target.tagEditor('addTag', value);
				$this.addClass('disabled');
			}
		});
	}

	/** Verify Tag Inputs
	 * Change values to meta content only
	 */
	$('.dpcVerifyTagMetaContent').bind("input propertychange", function(e){
		if($($(this).val()).is('meta[content]')){
			$(this).val($($(this).val()).prop('content'));
		}
	});

}).ajaxComplete(function(event, XMLHttpRequest, ajaxOptions){
	var response = '';
	if(XMLHttpRequest.responseText.length){
	    var ct = XMLHttpRequest.getResponseHeader("content-type") || "";
	    if(ct.indexOf('html') > -1){ /*html*/ }
	    if(ct.indexOf('json') > -1){ /*json*/
	    	response = JSON.parse(XMLHttpRequest.responseText);
	    }
	}

	jQuery('body').on('click', '.dpc-extendable-remove', function(e){
		e.preventDefault();
		jQuery(this).parent().fadeOut(function(){
			jQuery(this).remove();
		});
	});

	/* element dependencies */
	jQuery('#dpcSuiteManagerModal .hideControls, #dpcMigrationModal .hideControls, .dpcAjaxContent .hideControls').each(function(){
		var controlArea 	= jQuery(this);
		var triggerValue	= jQuery(this).data('display-value');

		if(jQuery('[name="'+jQuery(this).data('display-element')+'"]').length){
			var triggerElement 	= jQuery('[name="'+jQuery(this).data('display-element')+'"]');
		} else if(jQuery('[name="'+jQuery(this).data('display-element')+'[]"]').length) {
			var triggerElement 	= jQuery('[name="'+jQuery(this).data('display-element')+'[]"]');
		} else {
			console.log('nothing found to trigger on element:'+ jQuery(this).data('display-element'));
			return;
		}

		if(typeof(jQuery(this).data('display-value')) !== 'undefined'){
			triggerElement.on('change', function(){
				if(jQuery.inArray(triggerValue, jQuery(this).val())  !== -1 || jQuery(this).val() == triggerValue){ controlArea.show().css('display', 'inline-block'); } else { controlArea.hide(); }
			});

			if(jQuery('[name="'+jQuery(this).data('display-element')+'"]').attr('type') == 'checkbox'){
				//init
				if(jQuery('[name="'+jQuery(this).data('display-element')+'"]').prop('checked')){
					if(triggerValue == ''){
						controlArea.show().css('display', 'none');
					} else {
						controlArea.show().css('display', (jQuery(controlArea).data('display-type').length ? jQuery(controlArea).data('display-type') : 'inline-block'));
					}
				} else {
					if(triggerValue == ''){
						controlArea.show().css('display', (jQuery(controlArea).data('display-type').length ? jQuery(controlArea).data('display-type') : 'inline-block'));
					} else {
						controlArea.show().css('display', 'none');
					}
				}

				jQuery('[name="'+jQuery(this).data('display-element')+'"]').on('ifChanged', function(event){
					jQuery(this).on('ifChecked', function(event){
						if(triggerValue == ''){
							controlArea.show().css('display', 'none');
						} else {
							controlArea.show().css('display', (jQuery(controlArea).data('display-type').length ? jQuery(controlArea).data('display-type') : 'inline-block'));
						}
					});
					jQuery(this).on('ifUnchecked', function(event){
						if(triggerValue == ''){
							controlArea.show().css('display', (jQuery(controlArea).data('display-type').length ? jQuery(controlArea).data('display-type') : 'inline-block'));
						} else {
							controlArea.show().css('display', 'none');
						}
					});
				});
			} else if(jQuery('[name="'+jQuery(this).data('display-element')+'"]').is('select')){
				//several selects in modal
				if(triggerValue == jQuery('[name="'+jQuery(this).data('display-element')+'"]').val()){
					controlArea.show().css('display', (jQuery(controlArea).data('display-type').length ? jQuery(controlArea).data('display-type') : 'inline-block'));
				} else {
					controlArea.show().css('display', 'none');
				}
			}
		} else if(typeof(jQuery(this).data('display-searchvalue')) !== 'undefined'){
			var triggerValue = jQuery(this).data('display-searchvalue');
			jQuery(triggerElement).on('keyup paste', function(e){
				if(triggerElement.val().search(triggerValue) == '-1'){
					controlArea.show().css('display', 'none');
				} else {
					controlArea.show().css('display', (jQuery(controlArea).data('display-type').length ? jQuery(controlArea).data('display-type') : 'inline-block'));
				}
			});
			//on init
			if(triggerElement.val().search(triggerValue) == '-1'){
				controlArea.show().css('display', 'none');
			} else {
				controlArea.show().css('display', (jQuery(controlArea).data('display-type').length ? jQuery(controlArea).data('display-type') : 'inline-block'));
			}
		}
	});

	/** Verify Tag Inputs
	 * Change values to meta content only
	 */
	jQuery('.dpcVerifyTagMetaContent').bind("input propertychange", function(e){
		if(jQuery(jQuery(this).val()).is('meta[content]')){
			jQuery(this).val(jQuery(jQuery(this).val()).prop('content'));
		}
	});

	addResponseMessage(response);
});

function addResponseMessage(response){
	jQuery.each(response.messages, function(k, v){
		jQuery('.dpc-messages').append('<div class="alert alert-'+v['type']+'" role="'+v['type']+'">'+v['text']+'</div>');
	});
}


function getDataAttributes(node) {
    var d = {},
        re_dataAttr = /^data\-(.+)$/;

    jQuery.each(node.get(0).attributes, function(index, attr) {
        if (re_dataAttr.test(attr.nodeName)) {
            var key = attr.nodeName.match(re_dataAttr)[1];
            d[key] = attr.nodeValue;
        }
    });

    return d;
}