if(typeof(dpc_basic_metadata_settings) != 'undefined'){

	jQuery(document).ready(function($){
		"use strict";

		$('.admin-title-wrap').each(function(){
			jQuery(this).find('.title-counter').before('<strong class="input-length green"></strong>');

			countInputTitleLength();
			$(this).find('input.dpc-metatitle').keyup(function(){ countInputTitleLength(); });
		});

		$('.admin-description-wrap').each(function(){
			jQuery(this).find('.desc-counter').before('<strong class="input-length green"></strong>');
			countInputDescLength();

			$(this).find('textarea.dpc-metadesc').each(function(){
				$(this).keyup(function(){ countInputDescLength(); });
			})
		});

		function countInputTitleLength(){
			jQuery('.admin-title-wrap').each(function($){
				var titleLength	= jQuery(this).find('input.dpc-metatitle').val().length,
				diff			= dpc_basic_metadata_config.maxTitleLength-titleLength;

				jQuery(this).find('.input-length').html(diff);
				if(diff < '1'){
					jQuery(this).find('.green').css('color','red');
				}else if(diff < '20'){
					jQuery(this).find('.green').css('color','orange');
				}else{
					jQuery(this).find('.green').css('color', '');
				}
			});
		}
		function countInputDescLength(){
			jQuery('.admin-description-wrap').each(function($){
				var descLength	= jQuery(this).find('textarea.dpc-metadesc').val().length,
					diff		= dpc_basic_metadata_config.maxDescLength-descLength;

				jQuery(this).find('.input-length').html(descLength);
				if(diff < '0'){
					jQuery(this).find('.green').css('color','blue');
				}else if(diff < '40'){
					jQuery(this).find('.green').css('color','green');
				}else{
					jQuery(this).find('.green').css('color', 'red');
				}

			});
		}
	});

}