jQuery(document).ready(function($){
	"use strict";

	var lang = (typeof icl_this_lang != 'undefined') ? icl_this_lang : dpc_lang;

	titleCounter = function(){
		var live_title = jQuery('form#managerData [name="dpc[basic_metadata][title]"]').val();

		if (typeof dpc_basic_metadata_settings[lang] != 'undefined'){
			var jCounter = jQuery('form#managerData  #dpc-basic-metadata-title-counter');
			var limiter  = dpc_basic_metadata_settings.titleLimit;
			var recheck  = false;
			limiter		-= typeof dpc_basic_metadata_settings[lang]['title']['delimiter'] 	!= 'undefind' ? dpc_basic_metadata_settings[lang]['title']['delimiter'].length : 0;
			limiter 	-= typeof dpc_basic_metadata_settings[lang]['title']['website'] 	!= 'undefind' ? dpc_basic_metadata_settings[lang]['title']['website'].length 	: 0;

			jCounter.html('');
			if (limiter < live_title.length){
				title_length_ok = false;
				jCounter.css('color', 'red');

				jCounter.append('<span>' + (live_title.length - limiter) + ' ' + dpc_basic_metadata_translator.tooMuchChars + '</span>');
			}else{
				title_length_ok = true;
				jCounter.css('color', '#5eb861');
				jCounter.append('<span>' + (limiter - live_title.length) + ' ' + dpc_basic_metadata_translator.remainChars +  '</span>');
			}

			/* recheck with title only */
			if(typeof(dpc_basic_metadata_settings.removePagename) != 'undefined' && !title_length_ok){
				recheck  = true;
				limiter  = dpc_basic_metadata_settings.titleLimit;
				jCounter.html('');
				if (limiter < live_title.length){
					title_length_ok = false;
					jCounter.css('color', 'red');
					jCounter.append('<span>' + (live_title.length - limiter) + ' ' + dpc_basic_metadata_translator.tooMuchChars + '</span>');
				}else{
					title_length_ok = true;
					jCounter.css('color', '#5eb861');
					jCounter.append('<span>' + (limiter - live_title.length) + ' ' + dpc_basic_metadata_translator.remainChars +  '</span>');
				}
			}

			/* title preview: start */
			jQuery('form#managerData #dpc-basic-metadata-title-preview').html('<b>'+dpc_basic_metadata_translator.preview+':</b> ');
			jQuery.each(dpc_basic_metadata_settings[lang]['title'], function(key, value){
				if(key == 'frontpage'){ value = live_title; }
				if(typeof(dpc_basic_metadata_settings.removePagename) != 'undefined'){
					if(key == 'frontpage' || recheck == false && title_length_ok == true){
						if(value.length > limiter){ value = value.substr(0, limiter) + '...'; } /* cut title */
						if(value.length == 0) { value = '[...]' }
						jQuery('form#managerData #dpc-basic-metadata-title-preview').append('<span class="'+key+'">'+value+'</span>');
					}
				} else {
					jQuery('form#managerData #dpc-basic-metadata-title-preview').append('<span class="'+key+'">'+value+'</span>');
				}
			});
			/* title preview: end */
		}
	}

	jQuery('form#managerData [name="dpc[basic_metadata][title]"]').keyup(function(){
		clearTimeout($(this).data('titleCounter'));
		var titleCounter = setTimeout('titleCounter()', 300);
		$(this).data('titleCounter', titleCounter);
	});

	titleCounter();

});