"use strict";
jQuery(document).ready(function($) {
	var prof = '<div class="form-group"><div class="col-sm-8"><input type="text" placeholder="Lizenz Key" id="licence-key" name="dpcLicenseKey" class="form-control"></div><div class="col-sm-4"><button class="btn btn-primary" type="submit">'+dpc_dashboard_translator.unlock+'</button></div></div>';
	var suite = '<div class="form-group"><div class="col-sm-8"><input type="text" placeholder="Lizenz Key" id="licence-key" name="dpcLicenseKey" class="form-control"></div><div class="col-sm-4"><button class="btn btn-primary" type="submit">'+dpc_dashboard_translator.unlock+'</button></div></div>';

	$('#unlock_professional').on('click', function(){
		return false;
	});
	$('#unlock_professional').popover({animation:true, content:prof, html:true, placement:"bottom"});

	$('#unlock_suite').on('click', function(){
		return false;
	});
	$('#unlock_suite').popover({animation:true, content:suite, html:true, placement:"bottom"});


	$('.dark-text a').attr('target', '_blank');
	$('#settings_basic').bind('click', function(){ window.location.href='./admin.php?page=dpc-basic'; return false;})
	$('#settings_professional').bind('click', function(){ window.location.href='./admin.php?page=dpc-professional'; return false;})
	$('#settings_suite').bind('click', function(){ window.location.href='./admin.php?page=dpc-suite'; return false;})
	$('#purchase_professional').bind('click', function(){ window.location.href='https://delucks.com/wordpress-seo-plugin/'; return false;})
	$('#purchase_suite').bind('click', function(){ window.location.href='https://delucks.com/wordpress-seo-plugin/'; return false;})

	var activeLicense = $('input#active_license').val();
	if(activeLicense.length){
		$('body .dpc_dashboard').find('#'+activeLicense).removeClass('col-md-3').addClass('col-md-4');
	}


	$('body').on('click', '.submitWizard', function(){
		$(this).parents('form').prepend('<input type="hidden" name="dpc[save_wizard]" value="true" />');
		$(this).parents('form').submit();
	});

	/* SETUP buttons: Start */

	if(window.location.hash.length){
		$('.dpc-tabs').find('a[href="'+window.location.hash+'"]').trigger('click');
		$(window).scrollTop(1);
	}

	$('button[name="dpc[dpc_dashboard][wizardRecommendedSettings]"]').on('click', function(ev){
		ev.preventDefault();
    	$.post({
			url: '/wp-admin/admin-ajax.php',
			data: $.extend({}, { action: 'dpc_dashboard_wizard_install_master' }),
			dataType: 'json',
			success: function(response){
				if(response.succeed == 1){
					var nextTabLink = $('#tab_dpc_dashboard .nav-link.active').parent().next();
					$('.dpc-tabs-wrapper').find('.tabs-next').trigger('click');
					window.location = '?page=dpc-dpc&masterSettingsImported' + $('.nav-link', nextTabLink).prop('hash');
				}
			}
		});
	});

	$('button[name="dpc[dpc_dashboard][wizardSkipSettings]"]').on('click', function(ev){
		ev.preventDefault();
		$('.dpc-tabs-wrapper').find('.tabs-next').trigger('click');
	});

	$('button[name="dpc[dpc_dashboard][wizardRestore]"]').on('click', function(ev){
		ev.preventDefault();
		$('input[name="wizardRestore"]').trigger('click');
	});

	$('input[name="wizardRestore"]').on('change', function(ev){
	    var files 		= ev.target.files;
	    var file 		= files[0];
	    var reader 		= new FileReader();
	    var senddata 	= new Object();

	    senddata.name = file.name;
	    senddata.date = file.lastModified;
	    senddata.size = file.size;
	    senddata.type = file.type;

	    reader.onload = function(theFileData) {
	    	senddata.fileData = theFileData.target.result;
	    	$.post({
				url: '/wp-admin/admin-ajax.php',
				data: $.extend({}, { action: 'dpc_dashboard_wizard_restore', file: senddata }),
				dataType: 'json',
				success: function(response){
					if(response.succeed == 1){
						//TODO: add restore message
						var nextTabLink = $('#tab_dpc_dashboard .nav-link.active').parent().next();
						$('.dpc-tabs-wrapper').find('.tabs-next').trigger('click');
						window.location.hash = $('.nav-link', nextTabLink).prop('hash');
						window.location.reload();
					}
				}
			});
	    }

	    reader.readAsDataURL(file);
	});

	$('button[name="dpc[dpc_dashboard][importMetaCsv]"]').on('click', function(ev){
		ev.preventDefault();
		$('input[name="importMetaCsv"]').trigger('click');
	});

	$('input[name="importMetaCsv"]').on('change', function(ev){
	    var files 		= ev.target.files;
	    var file 		= files[0];
	    var reader 		= new FileReader();
	    var senddata 	= new Object();

	    senddata.name = file.name;
	    senddata.date = file.lastModified;
	    senddata.size = file.size;
	    senddata.type = file.type;

	    reader.onload = function(theFileData) {
	    	senddata.fileData = theFileData.target.result;
	    	$.post({
				url: '/wp-admin/admin-ajax.php',
				data: $.extend({}, { action: 'dpc_dashboard_import_metadata_csv', file: senddata }),
				dataType: 'json',
			    enctype: 'multipart/form-data',
				success: function(response){
					if(response.succeed == 1){
						$('.dpc-messages').append('<div class="alert alert-success" role="alert">'+ response.messages[0].text +'</div>');
					} else {
						$('.dpc-messages').append('<div class="alert alert-danger" role="alert">'+ response.messages[0].text +'</div>');
					}
				}
			});
	    }

	    reader.readAsDataURL(file);
	});
	
	/* SETUP buttons: End */
});