<?php

if(!class_exists('jobs_admin_settings')){

    class jobs_admin_settings {

        function __construct(){
        		
			/**
			 * Register permalink settings to the admin_init action hook.
			 */			
			add_action( 'admin_init', array($this, 'add_permalink_settings') );
        }
		
		function add_permalink_settings() {
		    add_settings_field('dpc_jobs_permalink', __( 'Jobs base', 'delucks-seo' ), array($this, 'dpc_jobs_permalink_settings_output'), 'permalink', 'optional');
		    if (isset($_POST['dpc_jobs_permalink'])) {
		        update_option('dpc_jobs_permalink', trim($_POST['dpc_jobs_permalink']));
		    }
		}

		function dpc_jobs_permalink_settings_output() {
			?>
			<input name="dpc_jobs_permalink" type="text" class="regular-text code" value="<?php echo esc_attr(get_option('dpc_jobs_permalink')); ?>" placeholder="<?php echo 'jobs'; ?>" />
			<?php
		}
        
    }

}