<?php
/**
 * The template for displaying archive jobs content.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package DELUCKS jobs
 */
?>

<div id="job_offers" class="job-offers-list">
		<?php 
		foreach($posts as $post){
			$settings		= get_post_meta( $post->ID, 'jobsettings', true);
			$job_sections 	= get_the_terms( $post->ID , 'dpc_job_section' );
			$job_locations 	= get_the_terms( $post->ID , 'dpc_job_location' );
			$location_list 	= '';
			
			if ( !empty($locations) ) {
				foreach ( $job_locations as $location ) {
					$location_list .= $location->name . ', ';
				}
				$location_list = rtrim( $location_list, ', ' );
			}
			
			$section_list 	= '';
			
			if ( !empty($sections) ) {
				foreach ( $job_sections as $section ) {
					$section_list .= $section->name . ', ';
				}
				$section_list = rtrim( $section_list, ', ' );
			}
			
			include(DPC_JOBS_PATH . '/templates/partials/list-content.php');
		}
		
		?>
		
</div>
