jQuery(document).ready(function($){
	"use strict";

	$('.dpc-sharing').each(function(){
		var shareWrapper = this;
		$('.dpc-btn-share.more', this).each(function(){
			var button		= this;
			var direction	= dpc_professional_sharing_settings.networks.more.settings.direction;
			var buttons		= (direction == 'before') ? $(button).prevAll('.dpc-btn-share') : $(button).nextAll('.dpc-btn-share');
			$(button).data('oldLabel', $('.dpc-label', this).text());
			$(buttons).wrapAll('<div class="dpc-more-wrap" />');

			$(this).click(function(e){
				e.preventDefault();
				var wrap = $(this).siblings('.dpc-more-wrap');
				if(wrap.is(':visible')){
					$(this).children().find('.icon-less').removeClass( "icon-less" ).addClass('icon-more');
					$(wrap).css('display', 'none');
					$('.dpc-label', this).text($(button).data('oldLabel'));
				} else {
					$(this).children().find('.icon-more').removeClass( "icon-more" ).addClass('icon-less');
					$(wrap).css('display', 'inline-block');
					$('.dpc-label', this).text(dpc_professional_sharing_settings.networks.more.settings.label_inactive[dpc_current_language]);
				}
			});
		});
	});

});